Bug 113550 - /usr/sbin/ccm-core-cms-configure.pl has dependency problems
Summary: /usr/sbin/ccm-core-cms-configure.pl has dependency problems
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise CMS
Classification: Retired
Component: other   
(Show other bugs)
Version: 5.2
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Dennis Gregorovic
QA Contact: Jon Orris
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-01-15 03:03 UTC by Need Real Name
Modified: 2007-04-18 17:01 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-17 17:00:23 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 2004-01-15 03:03:36 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.5)
Gecko/20031007 Firebird/0.7

Description of problem:
/usr/sbin/ccm-core-cms-configure.pl outputs this:

Insecure dependency in open while running with -T switch at
/usr/sbin/ccm-core-cms-configure.pl line 146, <CONF> line 55.

I am running it '/usr/sbin/ccm-core-cms-configure.pl
/etc/ccm-core-cms.cfg-tomcat4'


Version-Release number of selected component (if applicable):
ccm-core-cms-5.0.3-1

How reproducible:
Always

Steps to Reproduce:
1.Type '/usr/sbin/ccm-core-cms-configure.pl /etc/ccm-core-cms.cfg-tomcat4'
2.Wait
3.The error will appear
    

Actual Results:  The error appeared

Expected Results:  /usr/sbin/ccm-core-cms-configure.pl should have
sucsessfully run. I have not seen it do that yet.

Additional info:

Comment 1 Daniel Berrange 2004-01-23 14:59:39 UTC
I've tracked this down to a bug in the version of perl distributed
with RH 8.0/9. It seems that when using \S in a regex, the matching
groups are not untainted. Although slightly less flexible, we could
replace \S with something like (?:\w|-|_) which would match all common
directory namnes.

As a temporary workaround you can remove the '-T' from the first line
of the script.


Comment 2 Dennis Gregorovic 2005-03-17 17:00:23 UTC
closing old tickets


Note You need to log in before you can comment on or make changes to this bug.